"use strict";
let timerID;
let interval = 10;
self.onmessage = function (e) {
    if (e.data === "start") {
        timerID = setInterval(() => {
            postMessage("tick");
        }, interval);
    }
    else if (e.data.interval) {
        interval = e.data.interval;
        if (timerID) {
            clearInterval(timerID);
            timerID = setInterval(() => {
                postMessage("tick");
            }, interval);
        }
    }
    else if (e.data === "stop") {
        clearInterval(timerID);
    }
};
