import { SoundSystem } from "../digital/audio";
import { MIDI } from "./song";
import { TickCallbackContainer } from "../metronome";
import { Tracker } from "../digital/types";
declare type MidiSong = {
    song: MIDI;
};
export declare type MidiWithTracks = MidiSong & Tracker;
export declare type MidiRun = MidiWithTracks & TickCallbackContainer;
export declare function createRun(system: SoundSystem, song: MIDI): MidiRun;
export declare function destroyRun(system: SoundSystem, run: MidiRun): void;
export declare function silenceRun(songRun: MidiRun): void;
export declare function setRunTimeTo(time: number, songRun: MidiRun): void;
export declare function rewindRun(songRun: MidiRun): void;
export declare function insertRun(system: SoundSystem, run: MidiRun): void;
export {};
//# sourceMappingURL=player.d.ts.map