export declare type SoundOn = (note: string, time: number, output: AudioNode) => SoundOff;
export declare type SoundOff = (time?: number) => void;
export declare const NoOp: SoundOff;
export declare type Track = {
    lastFn: Array<Array<SoundOff>>;
    idx: number;
    vol: GainNode;
    pan: PannerNode;
    instrument: SoundOn;
};
export declare type Tracker = {
    tracks: Array<Track>;
    output: AudioNode;
};
//# sourceMappingURL=types.d.ts.map