export declare class BinaryFile {
    dataView: DataView;
    buffer: ArrayBuffer;
    offset: number;
    constructor(data: ArrayBuffer);
    tell(): number;
    seek(offset: number): void;
    skip(bytes: number): void;
    eof(): boolean;
    slice(offset: number, length: number): BinaryFile;
    read(length: number): BinaryFile;
    readString(length: number): string;
    readCString(): string;
    readChars(count: number): Uint8Array;
    readBytes(count: number): Uint8Array;
    readSBytes(count: number): Int8Array;
    readUInt8(): number;
    readInt8(): number;
    readUInt16(little?: boolean): number;
    readInt16(little?: boolean): number;
    readUInt32(little?: boolean): number;
    readInt32(little?: boolean): number;
    readFloat(little?: boolean): number;
    close(): void;
}
//# sourceMappingURL=file.d.ts.map