import { SoundSystem } from "../digital/audio";
import { Signature, TickCallbackContainer } from "../metronome";
import { Song } from "./types";
import { Tracker } from "../digital/types";
declare type MODSong = {
    readonly song: Song;
    timeSignature: Signature;
    currentBpm: number;
    currentPattern: number;
    currentRow: number;
};
export declare type MODRunWithTracks = MODSong & Tracker;
export declare type MODRun = MODRunWithTracks & TickCallbackContainer;
export declare function createRun(system: SoundSystem, song: Song): MODRun;
export declare function destroyRun(system: SoundSystem, run: MODRun): void;
export declare function insertRun(system: SoundSystem, run: MODRun): void;
export {};
//# sourceMappingURL=player.d.ts.map